<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>CreaspotService - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="wcreaspot.html">wcreaspot</a><ul class='members'></ul></li><li><a href="CreaspotService.html">CreaspotService</a></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">CreaspotService</h1>
    

    




<section>

<header>
    
        <h2>
        
            CreaspotService
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="CreaspotService"><span class="type-signature"></span>new CreaspotService<span class="signature">(server)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Implements the creaspot web service</p>
<ul>
<li>A POST <a href="https://line.gitlabpages.inria.fr/aide-group/aideweb/UploadService.html">Uploadservice</a> is attached to the <code>/creaspot/upload</code> route, to upload a new input video.</li>
<li>A GET service is attached to the <code>/creaspot/run/{clean,predict,status}</code>, routes.
<ul>
<li><code>clean</code>: stops all processes and cleans all files</li>
<li><code>predict</code>: starts the prediction (it takes a few minuts).
<ul>
<li>The <code>/results/{results.json,results.mp4,predict.log.txt}</code> files are available at the process end.</li>
</ul>
</li>
<li><code>status</code>: returns the process status
<ul>
<li><code>cleaned</code>: after a clean</li>
<li><code>loaded</code>: after a new input video has been uploaded.</li>
<li><code>predicting</code>: when prediction is processing.</li>
<li><code>predicted</code>: when prediction is done.</li>
</ul>
</li>
</ul>
</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>server</code></td>
            

            <td class="type">
            
                
<span class="param-type">express</span>



            
            </td>

            

            

            <td class="description last"><p>The express server mechanism.</p></td>
        </tr>

    
    </tbody>
</table>



















        
        </div>
    

    

    

    
    
    

     

    

    

    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2024-08-15 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>